unit uIEditorExportacionNorma19;

interface

type
  IEditorExportacionNorma19 = interface
    ['{FED1E69E-99F3-408E-9CA8-FADEF2E01726}']

    procedure SetCodigoEntidad(const AValue: Integer);
    function GetCodigoEntidad : Integer;
    property CodigoEntidad : Integer read GetCodigoEntidad write SetCodigoEntidad;

    procedure SetCodigoAgencia(const AValue: Integer);
    function GetCodigoAgencia : Integer;
    property CodigoAgencia : Integer read GetCodigoAgencia write SetCodigoAgencia;

    procedure SetFechaCargo(const AValue: TDateTime);
    function GetFechaCargo : TDateTime;
    property FechaCargo : TDateTime read GetFechaCargo write SetFechaCargo;

    procedure SetFichero(const AValue: String);
    function GetFichero : String;
    property Fichero : String read GetFichero write SetFichero;

    function ShowModal : Integer;
    procedure Release;
  end;


implementation

end.
